package com.ruoyi.projectChbZyf.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 专用费对象 kzks_project_chb_zyf
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public class KzksProjectChbZyf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private String sysOrgCode;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 凭证日期 */
    @Excel(name = "凭证日期")
    private String pzrq;

    /** 凭证号 */
    @Excel(name = "凭证号")
    private String pzh;

    /** 摘要 */
    @Excel(name = "摘要")
    private String zy;

    /** 科目编号 */
    @Excel(name = "科目编号")
    private String kmbh;

    /** 科目名称 */
    @Excel(name = "科目名称")
    private String km;

    /** 方向 */
    @Excel(name = "方向")
    private String fx;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal je;

    /** 部门 */
    @Excel(name = "部门")
    private String bm;

    /** 往来单位 */
    @Excel(name = "往来单位")
    private String wldw;

    /** 辅助金额 */
    @Excel(name = "辅助金额")
    private BigDecimal fzje;

    /** 制单人 */
    @Excel(name = "制单人")
    private String zdr;

    /** 会计期间 */
    @Excel(name = "会计期间")
    private String kjqj;

    /** 凭证内码 */
    @Excel(name = "凭证内码")
    private String pznm;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 项目类别 */
    @Excel(name = "项目类别")
    private String xmlb;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskno;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setSysOrgCode(String sysOrgCode) 
    {
        this.sysOrgCode = sysOrgCode;
    }

    public String getSysOrgCode() 
    {
        return sysOrgCode;
    }
    public void setNd(String nd) 
    {
        this.nd = nd;
    }

    public String getNd() 
    {
        return nd;
    }
    public void setPzrq(String pzrq) 
    {
        this.pzrq = pzrq;
    }

    public String getPzrq() 
    {
        return pzrq;
    }
    public void setPzh(String pzh) 
    {
        this.pzh = pzh;
    }

    public String getPzh() 
    {
        return pzh;
    }
    public void setZy(String zy) 
    {
        this.zy = zy;
    }

    public String getZy() 
    {
        return zy;
    }
    public void setKmbh(String kmbh) 
    {
        this.kmbh = kmbh;
    }

    public String getKmbh() 
    {
        return kmbh;
    }
    public void setKm(String km) 
    {
        this.km = km;
    }

    public String getKm() 
    {
        return km;
    }
    public void setFx(String fx) 
    {
        this.fx = fx;
    }

    public String getFx() 
    {
        return fx;
    }
    public void setBm(String bm) 
    {
        this.bm = bm;
    }

    public String getBm() 
    {
        return bm;
    }
    public void setWldw(String wldw) 
    {
        this.wldw = wldw;
    }

    public String getWldw() 
    {
        return wldw;
    }

    public BigDecimal getJe() {
        return je;
    }

    public void setJe(BigDecimal je) {
        this.je = je;
    }

    public BigDecimal getFzje() {
        return fzje;
    }

    public void setFzje(BigDecimal fzje) {
        this.fzje = fzje;
    }

    public void setZdr(String zdr)
    {
        this.zdr = zdr;
    }

    public String getZdr() 
    {
        return zdr;
    }
    public void setKjqj(String kjqj) 
    {
        this.kjqj = kjqj;
    }

    public String getKjqj() 
    {
        return kjqj;
    }
    public void setPznm(String pznm) 
    {
        this.pznm = pznm;
    }

    public String getPznm() 
    {
        return pznm;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setXmlb(String xmlb) 
    {
        this.xmlb = xmlb;
    }

    public String getXmlb() 
    {
        return xmlb;
    }
    public void setTaskno(String taskno) 
    {
        this.taskno = taskno;
    }

    public String getTaskno() 
    {
        return taskno;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("sysOrgCode", getSysOrgCode())
            .append("nd", getNd())
            .append("pzrq", getPzrq())
            .append("pzh", getPzh())
            .append("zy", getZy())
            .append("kmbh", getKmbh())
            .append("km", getKm())
            .append("fx", getFx())
            .append("je", getJe())
            .append("bm", getBm())
            .append("wldw", getWldw())
            .append("fzje", getFzje())
            .append("zdr", getZdr())
            .append("kjqj", getKjqj())
            .append("pznm", getPznm())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("xmlb", getXmlb())
            .append("taskno", getTaskno())
            .toString();
    }
}
